curl --request PATCH \
--url https://api.zapier.com/connections/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_active": false
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "connection.expiry_scheduled",
"callback_url": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Connection Webhooks
Update a connection webhook
Update callback_url and/or pause/resume via is_active. event_type is immutable.
PATCH
/
connections
/
v1
/
webhooks
/
{id}
curl --request PATCH \
--url https://api.zapier.com/connections/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_active": false
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "connection.expiry_scheduled",
"callback_url": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
OAuth 2.0 authentication.
FlowAuthorization Code
- Authorization URL
- https://zapier.com/oauth/authorize
- Token URL
- https://zapier.com/oauth/token
FlowClient Credentials
- Token URL
- https://zapier.com/oauth/token
Scopes2
connection:webhook:write
Grants connection:webhook:write access
external
Scope that gives access to all Public APIs
Path Parameters
UUID of the connection webhook.
Body
application/json
Response
Updated.
Output serializer for GET / PATCH responses. Secret is never returned.
Unique webhook identifier (UUID).
The event type this webhook is subscribed to.
connection.expiry_scheduled- Expiry Scheduled
Available options:
connection.expiry_scheduled HTTPS URL that signed events are POSTed to.
Whether the webhook is active. Inactive webhooks do not receive events.
ISO 8601 timestamp when the webhook was created.
ISO 8601 timestamp when the webhook was last updated.
Last modified on September 1, 2026
Was this page helpful?